Subject: sort complains about incompatible options (that aren't) AND when it shouldn't

From: Linda Walsh <[email-masked]>
Date: Wed, 21 Aug 2013 14:57:05 -0700

If I tell sort to do a general numeric sort and interpret
human suffixes, such as
    sort -gh ...

sort fails similarly, if I ask it to sort by numeric size and
respect human suffixes:
    sort -nh ....

sort claims:
sort: options `-dn' are incompatible

similarly, numeric and general numeric are claimed to be
incompatible -- how is that?

Regardless of compatibility or not, sort doesn't
use even use _1_ of the options that were specified.
If it always used the latest option specified as other
utils,  it would still behave in a deterministic manner,
and give correct output in the majority of cases (if not,
then state the "question")...

I don't know which utils have been dumbed down to fail
on, any, ambiguous input (if it is ambiguous, which I
argue, it is not -- as there is a prescribed order for
evaluation), but the emphasis on computer programs
not being resilient.

Rigidly making people wrong and refusing to work unless
they ask you in the exact right language/syntax
is a step backwards for computer programs.  The idea
on computers is to make life easier -- and enforcing
the user to create odd workarounds when the program
could have gotten it right, feels like user-abuse.